Bug 497262 - better lid state handling
better lid state handling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 00:02 EDT by Matthias Clasen
Modified: 2010-06-28 08:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-04-23 00:02:15 EDT
If I log out and quickly close my lid, the in-session gpm is already gone, so doesn't pick up the lid close, and by the time the gpm in the login session becomes active, the lid is already closed. Result: the lid is closed, and the machine is not suspending. Briefly opening and closing the lid makes gpm pick up the lid change, and it suspends. 

I think gpm should evualuate the lid state when it becomes active, and react accordingly when it is found to be closed.
Comment 1 Richard Hughes 2009-04-23 05:00:21 EDT
commit 2afc1080ed12aba7cee0d6bf75b5a25363449c1d
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Apr 23 09:58:30 2009 +0100

    Do the lid policy action on active-change. Fixes rh#497262

Could you give git master a go please, and tell me if it fixes this bug. Thanks.
Comment 2 Matthias Clasen 2009-04-23 11:01:43 EDT
With git master, gpm doesn't seem to pick up _any_ lid state or lid changes. I must be missing something...
Comment 3 Richard Hughes 2009-04-24 05:03:03 EDT
Compile with --enable-legacy-buttons
Comment 4 Matthias Clasen 2009-04-24 23:11:05 EDT
Ok, tested as follows:

switch to vt2
run 'sleep 10; chvt 1'
close lid

when the vt switch happened, gpm did suspend my laptop

success, I'd say.
Comment 5 Bug Zapper 2009-06-09 10:26:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2009-08-20 08:25:09 EDT
Still an issue?
Comment 7 Martin Pitt 2010-03-17 07:59:52 EDT
I think this needs some more thought. There are two cases here: (1) lid close happens while gdm session is already up, and (2) lid close happens in between user session already shut down and gdm session not up yet.

That gpm commit should not influence case (2) here, which was the one in the original bug description. 

Comment 4 is not a good test for case (1) here, I think, since it works under different conditions: In a realistic scenario (gdm starting up), gdm has the active console, and its gdm would just pick up the "lid close" event and react to it. The gpm change here should not influence this at all. But Comment 4 synthesizes a situation where gpm is _not_ on an active console, and thus ignores the lid event. The gpm patch "fixes" that case, but at the same time breaks gpm for docked laptops.

Please see https://bugzilla.gnome.org/show_bug.cgi?id=613130 for details.
Comment 8 Martin Pitt 2010-03-17 08:09:32 EDT
"... gdm has the active console, and its gdm would just pick up ..."

Obviously the second "gdm" is meant to be "gpm".
Comment 9 Bug Zapper 2010-04-27 09:53:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:10:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.